singleton Material(semi_frame)
{
   mapTo = "semi_frame";
   diffuseMap[1] = "vehicles/semi/semi_frame_d.dds";
   specularMap[1] = "vehicles/semi/semi_frame_s.dds";
   normalMap[1] = "vehicles/semi/semi_frame_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/semi/semi_frame_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(semi_engine)
{
   mapTo = "semi_engine";
   diffuseMap[1] = "vehicles/semi/semi_engine_d.dds";
   specularMap[1] = "vehicles/semi/semi_engine_s.dds";
   normalMap[1] = "vehicles/semi/semi_engine_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/semi/semi_engine_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(semi_mudflap)
{
   mapTo = "semi_mudflap";
   diffuseMap[0] = "semi_mudflap_d.dds";
   normalMap[0] = "semi_mudflap_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   useAnisotropic[0] = "1";
   specularMap[0] = "semi_mudflap_s.dds";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
   diffuseColor[0] = "1.5 1.5 1.5 1";
};

singleton Material(semi_cab)
{
   mapTo = "semi_cab";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseMap[1] = "vehicles/common/null.dds";
   specularMap[1] = "vehicles/common/null.dds";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "0.03 0.13 0.4 0.7";
   specularPower[0] = "16";
   specularPower[1] = "16";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   beamngDiffuseColorSlot = 1;
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(semi_gray)
{
   mapTo = "semi_gray";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseMap[1] = "vehicles/common/null.dds";
   specularMap[1] = "vehicles/common/null.dds";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "0.35 0.35 0.35 0.3";
   specularPower[0] = "16";
   specularPower[1] = "16";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(semi_dark)
{
   mapTo = "semi_dark";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseMap[1] = "vehicles/common/null.dds";
   specularMap[1] = "vehicles/common/null.dds";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "0.15 0.15 0.15 0.9";
   specularPower[0] = "16";
   specularPower[1] = "16";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(semi_glass)
{
   mapTo = "semi_glass";
   diffuseMap[0] = "vehicles/semi/semi_glass_d.dds";
   specularMap[0] = "vehicles/semi/semi_glass_s.dds";
   diffuseMap[1] = "vehicles/semi/semi_glass_da.dds";
   specularMap[1] = "vehicles/semi/semi_glass_s.dds";
   specularPower[0] = "128";
   pixelSpecular[0] = "1";
   specularPower[1] = "128";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "0";
   translucent = "1";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(semi_glass_dmg)
{
   mapTo = "semi_glass_dmg";
   diffuseMap[0] = "vehicles/semi/semi_glass_dmg_d.dds";
   specularMap[0] = "vehicles/common/glass_dmg_s.dds";
   normalMap[0] = "vehicles/common/glass_dmg_n.dds";
   specularPower[0] = "32";
   diffuseColor[0] = "1.5 1.5 1.5 1";
   useAnisotropic[0] = "1";
   castShadows = "0";
   translucent = "1";
   alphaTest = "1";
   alphaRef = "0";
   //cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(semi_lights)
{
   mapTo = "semi_lights";
   diffuseMap[1] = "vehicles/semi/semi_lights_d.dds";
   specularMap[1] = "vehicles/semi/semi_lights_s.dds";
   normalMap[1] = "vehicles/semi/semi_lights_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/semi/semi_lights_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   diffuseColor[1] = "1.5 1.5 1.5 1";
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(semi_lights_on)
{
   mapTo = "semi_lights_on";
   diffuseMap[2] = "vehicles/semi/semi_lights_g.dds";
   specularMap[2] = "vehicles/semi/semi_lights_s.dds";
   normalMap[2] = "vehicles/semi/semi_lights_n.dds";
   diffuseMap[1] = "vehicles/semi/semi_lights_d.dds";
   specularMap[1] = "vehicles/semi/semi_lights_s.dds";
   normalMap[1] = "vehicles/semi/semi_lights_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/semi/semi_lights_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1.5 1.5 1.5 1";
   diffuseColor[2] = "1.5 1.5 1.5 0.12";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   useAnisotropic[2] = "1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   glow[2] = "1";
   emissive[2] = "1";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(semi_lights_on_intense)
{
   mapTo = "semi_lights_on_intense";
   diffuseMap[2] = "vehicles/semi/semi_lights_g.dds";
   specularMap[2] = "vehicles/semi/semi_lights_s.dds";
   normalMap[2] = "vehicles/semi/semi_lights_n.dds";
   diffuseMap[1] = "vehicles/semi/semi_lights_d.dds";
   specularMap[1] = "vehicles/semi/semi_lights_s.dds";
   normalMap[1] = "vehicles/semi/semi_lights_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/semi/semi_lights_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1.5 1.5 1.5 1";
   diffuseColor[2] = "1.5 1.5 1.5 0.20";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   useAnisotropic[2] = "1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   glow[2] = "1";
   emissive[2] = "1";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(semi_lights_dmg)
{
   mapTo = "semi_lights_dmg";
   diffuseMap[1] = "vehicles/semi/semi_lights_dmg_d.dds";
   specularMap[1] = "vehicles/semi/semi_lights_dmg_s.dds";
   normalMap[1] = "vehicles/semi/semi_lights_dmg_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/semi/semi_lights_dmg_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   diffuseColor[1] = "1.5 1.5 1.5 1";
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(semi_reverselight)
{
   mapTo = "semi_reverselight";
};

singleton Material(semi_signal_L)
{
   mapTo = "semi_signal_L";
};

singleton Material(semi_signal_R)
{
   mapTo = "semi_signal_R";
};

singleton Material(semi_lowbeam)
{
   mapTo = "semi_lowbeam";
};

singleton Material(semi_highbeam)
{
   mapTo = "semi_highbeam";
};

singleton Material(semi_taillight)
{
   mapTo = "semi_taillight";
};

singleton Material(semi_runninglight)
{
   mapTo = "semi_runninglight";
};

singleton Material(semi_red)
{
   mapTo = "semi_red";
   diffuseColor[0] = "0.380392 0.12549 0.113725 1";
   specular[0] = "0.9 0.9 0.9 1";
   specularPower[0] = "40";
   translucentBlendOp = "None";
};

singleton Material(trailer_rustmat__spec_)
{
   mapTo = "trailer_rustmat__spec_";
   diffuseColor[0] = "0.64 0.64 0.64 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/semishort/trailer/rustmat.jpg";
   materialTag1 = "vehicle";
   materialTag0 = "beamng";
};

singleton Material(trailer_rustmat)
{
   mapTo = "trailer_rustmat";
   diffuseColor[0] = "0.64 0.64 0.64 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/semishort/trailer/rustmat.jpg";
   materialTag1 = "vehicle";
   materialTag0 = "Miscellaneous";
};

singleton Material(trailer_disk__spec_)
{
   mapTo = "trailer_disk__spec_";
   diffuseColor[0] = "0.64 0.64 0.64 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/semishort/trailer/disk.jpg";
   materialTag0 = "Miscellaneous";
};

singleton Material(trailer_wheel)
{
   mapTo = "trailer_wheel";
   diffuseColor[0] = "0.64 0.64 0.64 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/semishort/trailer/wheel.jpg";
   materialTag0 = "Miscellaneous";
};

singleton Material(trailer_extra__spec_tran)
{
   mapTo = "trailer_extra__spec_tran";
   diffuseColor[0] = "0.64 0.64 0.64 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/semishort/trailer/beamng_extra.jpg";
   materialTag0 = "Miscellaneous";
};


singleton Material(trailer_Matte__FFCCCCCC)
{
   mapTo = "trailer_Matte__FFCCCCCC";
   diffuseColor[0] = "0.756863 0.560784 0.184314 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
   materialTag1 = "vehicle";
   materialTag0 = "Miscellaneous";
};

singleton Material(trailer_Matte__FF333333)
{
   mapTo = "trailer_Matte__FF333333";
   diffuseColor[0] = "0.486275 0.172549 0.180392 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
   materialTag1 = "vehicle";
   materialTag0 = "Miscellaneous";
};

singleton Material(trailer_vehiclelights102)
{
   mapTo = "trailer_vehiclelights102";
   diffuseColor[0] = "0.635294 0.498039 0.211765 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
   materialTag1 = "vehicle";
   materialTag0 = "beamng";
};

singleton Material(trailer_vehiclelights101)
{
   mapTo = "trailer_vehiclelights101";
   diffuseColor[0] = "0.631373 0.494118 0.215686 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
   materialTag1 = "vehicle";
   materialTag0 = "beamng";
};

singleton Material(trailer_vehiclelights128)
{
   mapTo = "trailer_vehiclelights128";
   diffuseColor[0] = "0.792157 0.00784314 0.0235294 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
   materialTag1 = "vehicle";
   materialTag0 = "beamng";
};

singleton Material(trailer_vehiclelights103)
{
   mapTo = "trailer_vehiclelights103";
   diffuseColor[0] = "0.792157 0.00784314 0.0235294 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
   materialTag1 = "vehicle";
   materialTag0 = "beamng";
};

singleton Material(trailer_vehiclelights104)
{
   mapTo = "trailer_vehiclelights104";
   diffuseColor[0] = "0.792157 0.00784314 0.0235294 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
   materialTag1 = "vehicle";
   materialTag0 = "beamng";
};

singleton Material(trailer_vehiclelights105)
{
   mapTo = "trailer_vehiclelights105";
   diffuseColor[0] = "0.792157 0.00784314 0.0235294 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
   materialTag1 = "vehicle";
   materialTag0 = "beamng";
};

singleton Material(trailer_trail__spec_)
{
   mapTo = "trailer_trail__spec_";
   diffuseColor[0] = "0.64 0.64 0.64 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/semishort/trailer/trail.jpg";
   materialTag0 = "Miscellaneous";
};

singleton Material(uline_Kraft_Tile)
{
   mapTo = "Kraft_Tile";
   diffuseColor[0] = "0.701961 0.701961 0.701961 1";
   specular[0] = "0.00195313 0.00195313 0.00195313 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/semishort/uline/Kraft_Tile.jpg";
   materialTag0 = "Miscellaneous";
};

singleton Material(uline_S_5004_Kraft_Front)
{
   mapTo = "S-5004_Kraft_Front";
   diffuseColor[0] = "0.701961 0.701961 0.701961 1";
   specular[0] = "0.00195313 0.00195313 0.00195313 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/semishort/uline/S-5004_Kraft_Front.jpg";
   materialTag0 = "Miscellaneous";
};

singleton Material(uline_Wood_Floor_Light)
{
   mapTo = "Wood_Floor_Light";
   diffuseColor[0] = "0.701961 0.701961 0.701961 1";
   specular[0] = "0.00195313 0.00195313 0.00195313 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/semishort/uline/Wood_Floor_Light.jpg";
   materialTag0 = "Miscellaneous";
};

singleton Material(uline_S_5004_Kraft_Front1)
{
   mapTo = "S-5004_Kraft_Front1";
   diffuseColor[0] = "0.701961 0.701961 0.701961 1";
   specular[0] = "0.00195313 0.00195313 0.00195313 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/semishort/uline/S-5004_Kraft_Front1.jpg";
   materialTag0 = "Miscellaneous";
};

singleton Material(uline_S_5004_Kraft_Bottom)
{
   mapTo = "S-5004_Kraft_Bottom";
   diffuseColor[0] = "0.701961 0.701961 0.701961 1";
   specular[0] = "0.00195313 0.00195313 0.00195313 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/semishort/uline/S-5004_Kraft_Bottom.jpg";
   materialTag0 = "Miscellaneous";
};
